INTERFACE
SUBROUTINE RTL_HOP_1D(KDLEN,KLEN,KMXRAD,KNRAD,KOBSTYPE,YDLIMBGRP,&
 & PICHAN ,PITAN,POROG5,&
 & PPRESH5,PPRESF5,PPXP5,PPXPD5,PUF5,PVF5,PTF5,PQF5,PO3F5,&
 & PCLWF5,PCIWF5,PCCF5,PTSTAR5,PT05,PLNPR5,PALPH5,PXPP) 
 USE PARKIND1 ,ONLY : JPIM ,JPRB
 USE YOMDIM , ONLY : NFLEVG ,NPPM
 USE YOMLIMB , ONLY : y_limbgrp_t, NPNAV_RTL, NPMXTAN, NJPPF_RTL, LQTAN_PRES,&
 & PP_TOLERANCE, PP_MESO_DT_BY_DLNP, PP_MESO_P, DTHETA 
 USE YOMDB
 INTEGER(KIND=JPIM),INTENT(IN) :: KDLEN
 INTEGER(KIND=JPIM),INTENT(IN) :: KLEN
 INTEGER(KIND=JPIM),INTENT(IN) :: KMXRAD
 INTEGER(KIND=JPIM),INTENT(IN) :: KNRAD(KDLEN)
 INTEGER(KIND=JPIM),INTENT(IN) :: KOBSTYPE
 TYPE(y_limbgrp_t) ,INTENT(IN) :: YDLIMBGRP
 REAL(KIND=JPRB), INTENT(IN) :: PICHAN(KDLEN,KMXRAD)
 REAL(KIND=JPRB), INTENT(IN) :: PITAN(KDLEN,KMXRAD)
 REAL(KIND=JPRB), INTENT(IN) :: POROG5(KDLEN)
 REAL(KIND=JPRB), INTENT(IN) :: PPRESH5(KDLEN,0:NFLEVG)
 REAL(KIND=JPRB), INTENT(IN) :: PPRESF5(KDLEN,NFLEVG)
 REAL(KIND=JPRB), INTENT(IN) :: PPXP5(KDLEN,0:NFLEVG,NPPM)
 REAL(KIND=JPRB), INTENT(IN) :: PPXPD5(KDLEN,0:NFLEVG,NPPM)
 REAL(KIND=JPRB), INTENT(INOUT) :: PUF5(KDLEN,0:NFLEVG)
 REAL(KIND=JPRB), INTENT(INOUT) :: PVF5(KDLEN,0:NFLEVG)
 REAL(KIND=JPRB), INTENT(INOUT) :: PTF5(KDLEN,0:NFLEVG)
 REAL(KIND=JPRB), INTENT(INOUT) :: PQF5(KDLEN,0:NFLEVG)
 REAL(KIND=JPRB), INTENT(INOUT) :: PO3F5(KDLEN,0:NFLEVG)
 REAL(KIND=JPRB), INTENT(INOUT) :: PCLWF5(KDLEN,0:NFLEVG)
 REAL(KIND=JPRB), INTENT(INOUT) :: PCIWF5(KDLEN,0:NFLEVG)
 REAL(KIND=JPRB), INTENT(INOUT) :: PCCF5(KDLEN,0:NFLEVG)
 REAL(KIND=JPRB), INTENT(IN) :: PT05(KDLEN)
 REAL(KIND=JPRB), INTENT(IN) :: PTSTAR5(KDLEN)
 REAL(KIND=JPRB), INTENT(IN) :: PLNPR5(KDLEN,NFLEVG)
 REAL(KIND=JPRB), INTENT(IN) :: PALPH5(KDLEN,NFLEVG)
 REAL(KIND=JPRB), INTENT(OUT) :: PXPP(KDLEN,KMXRAD)
END SUBROUTINE RTL_HOP_1D
END INTERFACE
